use nxui::file_chooser::*;
use nxui::messagebox::MessageBox;
use nxui::natives_and_messaging::*;
use nxui::window::Frame;

fn main() {
    nxui::initialize();
    let result = OpenFileDialog::new("Open File Example", FC_NONE).show();
    MessageBox::new(
        "FileChooser Result",
        format!("FileChooser Result is {}", result).as_str(),
        DS_INFORMATION,
        BS_OK,
    )
    .show(Frame::default());
    let result = SaveFileDialog::new("Save File Example", FC_NONE).show();
    MessageBox::new(
        "FileChooser Result",
        format!("FileChooser Result is {}", result).as_str(),
        DS_INFORMATION,
        BS_OK,
    )
    .show(Frame::default());
}
